d3.csv('https://gist.githubusercontent.com/Saahithi49/231b82742248230a20b78d490ba2fb5a/raw/ac2286581ca591bdfd7d70a5a9530ca7bde301d2/in.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'a1'), y: unpack(rows, 's1'), z: unpack(rows, 'h1'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'black',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'a2'), y: unpack(rows, 's2'), z: unpack(rows, 'h2'),
	mode: 'markers',
	marker: {
		color: 'pink',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'green',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});